> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trysoma.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update task status

> Update the status of a task



## OpenAPI

````yaml api-reference/openapi.json put /api/task/v1/{task_id}
openapi: 3.1.0
info:
  title: soma
  version: v1
servers: []
security: []
tags:
  - name: task
    description: >-
      Task management endpoints for creating, listing, and managing tasks and
      their messages
  - name: secret
    description: Secret management endpoints for storing and retrieving encrypted secrets
  - name: encryption
    description: >-
      Encryption key management endpoints for envelope keys, data encryption
      keys, and aliases
  - name: bridge
    description: >-
      Bridge endpoints for managing providers, credentials, functions, and MCP
      protocol communication
  - name: _internal
    description: >-
      Internal endpoints for health checks, runtime configuration, and SDK code
      generation
  - name: a2a
    description: >-
      Agent-to-agent communication endpoints for agent cards, definitions, and
      JSON-RPC requests
  - name: v1
    description: API version v1 endpoints
paths:
  /api/task/v1/{task_id}:
    put:
      tags:
        - task
        - v1
      summary: Update task status
      description: Update the status of a task
      operationId: update-task-status
      parameters:
        - name: task_id
          in: path
          description: Task ID
          required: true
          schema:
            $ref: '#/components/schemas/WrappedUuidV4'
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateTaskStatusRequest'
        required: true
      responses:
        '200':
          description: Update task status
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TupleUnit'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Bad Gateway
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    WrappedUuidV4:
      type: string
      format: uuid
    UpdateTaskStatusRequest:
      type: object
      required:
        - status
      properties:
        message:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/CreateMessageRequest'
        status:
          $ref: '#/components/schemas/TaskStatus'
    TupleUnit:
      default: null
    Error:
      type: object
      required:
        - message
      properties:
        data: {}
        message:
          type: string
    CreateMessageRequest:
      type: object
      required:
        - reference_task_ids
        - role
        - metadata
        - parts
      properties:
        metadata:
          $ref: '#/components/schemas/Metadata'
        parts:
          type: array
          items:
            $ref: '#/components/schemas/MessagePart'
        reference_task_ids:
          type: array
          items:
            $ref: '#/components/schemas/WrappedUuidV4'
        role:
          $ref: '#/components/schemas/MessageRole'
    TaskStatus:
      type: string
      enum:
        - submitted
        - working
        - input-required
        - completed
        - canceled
        - failed
        - rejected
        - auth-required
        - unknown
    Metadata:
      type: object
      additionalProperties: {}
      propertyNames:
        type: string
    MessagePart:
      oneOf:
        - allOf:
            - $ref: '#/components/schemas/TextPart'
            - type: object
              required:
                - type
              properties:
                type:
                  type: string
                  enum:
                    - text-part
    MessageRole:
      type: string
      enum:
        - user
        - agent
    TextPart:
      type: object
      required:
        - text
        - metadata
      properties:
        metadata:
          $ref: '#/components/schemas/Metadata'
        text:
          type: string

````